many corrupted packages/invalid PGP signatures for aarch64?

This forum is for topics dealing with problems with software specifically in the AArch64 repo.

many corrupted packages/invalid PGP signatures for aarch64?

Postby bobmon » Tue May 29, 2018 3:34 pm

Hello, pardon me if I'm being dumb here, but I'm new to Arch Linux and the pacman program....

I've managed to install the "ArchLinuxARM-rpi-3-latest.tar.gz" system on a Raspberry Pi model 3, and upgraded successfully with "pacman -Syu", but when I try to install other packages, many (all?) of them throw an error about "corrupted package or invalid PGP signature". Here's an example:

[root@alarm alarm]# pacman -S vim
resolving dependencies...
looking for conflicting packages...

Packages (3) gpm-1.20.7-8 vim-runtime-8.1.0022-1 vim-8.1.0022-1

Total Download Size: 6.81 MiB
Total Installed Size: 31.90 MiB

:: Proceed with installation? [Y/n] y
:: Retrieving packages...
gpm-1.20.7-8-aarch64 128.1 KiB 156K/s 00:01 [############################] 100%
vim-runtime-8.1.0022-1... 5.4 MiB 153K/s 00:36 [############################] 100%
vim-8.1.0022-1-aarch64 1317.7 KiB 149K/s 00:09 [############################] 100%
(3/3) checking keys in keyring [############################] 100%
(3/3) checking package integrity [############################] 100%
error: vim-runtime: signature from "Arch Linux ARM Build System <builder@archlinuxarm.org>" is unknown trust
:: File /var/cache/pacman/pkg/vim-runtime-8.1.0022-1-aarch64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n]
error: gpm: signature from "Arch Linux ARM Build System <builder@archlinuxarm.org>" is unknown trust
:: File /var/cache/pacman/pkg/gpm-1.20.7-8-aarch64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n]
error: vim: signature from "Arch Linux ARM Build System <builder@archlinuxarm.org>" is unknown trust
:: File /var/cache/pacman/pkg/vim-8.1.0022-1-aarch64.pkg.tar.xz is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n]
error: failed to commit transaction (invalid or corrupted package (PGP signature))
Errors occurred, no packages were upgraded.


Other packages that do this include dnsmasq and libreoffice-fresh.
Am I do something completely wrong? Or are there just a lot of broken packages for the aarch64 version?
bobmon
 
Posts: 3
Joined: Mon May 28, 2018 10:34 pm

Re: many corrupted packages/invalid PGP signatures for aarch

Postby bobmon » Tue May 29, 2018 10:34 pm

Followup to myself: I repeated the "pacman-key --init" and the "pacman-key --populate archlinuxarm" commands again, and now I am able to install packages. So I guess I just screwed something up in originally setting up keys.

Oops.
:oops:
bobmon
 
Posts: 3
Joined: Mon May 28, 2018 10:34 pm

Re: many corrupted packages/invalid PGP signatures for aarch

Postby gargoris » Mon Jun 04, 2018 5:39 am

guess I just screwed something up in

No, you don't. I have the same problem with an arch installed in a board that I only send "pacman -Syu" (just keep updated, not a working environment) and today I found the same problem with that key.

Thanks for the solution. :D
gargoris
 
Posts: 1
Joined: Thu Nov 30, 2017 10:22 am

Re: many corrupted packages/invalid PGP signatures for aarch

Postby jskier » Mon Jun 04, 2018 2:55 pm

I also found this helpful, thank you. Ansible updates a cluster of pis, and pacman started to fail with the key.
jskier
 
Posts: 16
Joined: Sat Oct 26, 2013 2:04 pm

Re: many corrupted packages/invalid PGP signatures for aarch

Postby alko89 » Sun Jun 17, 2018 1:28 am

same issue with my install. Rebuilding the keyring fixed the problem
alko89
 
Posts: 1
Joined: Sun Jun 17, 2018 1:26 am

Re: many corrupted packages/invalid PGP signatures for aarch

Postby littlet1968 » Fri Jun 22, 2018 7:23 pm

Same here, and fixed the same way
littlet1968
 
Posts: 1
Joined: Fri Jun 22, 2018 7:21 pm

Re: many corrupted packages/invalid PGP signatures for aarch

Postby Kresimir » Sat Jul 14, 2018 8:28 pm

Encountered the same problem today, thanks for the solution!
Kresimir
 
Posts: 7
Joined: Sat Jul 21, 2012 7:56 pm

Re: many corrupted packages/invalid PGP signatures for aarch

Postby ChuckHL » Sat Aug 11, 2018 8:06 pm

Same issue here. Just ran update on my ArchLinux OS running on my Raspberry Pi device and had the same issue. Thanks for the solution.

guess I just screwed something up in


I dont think you did. My box is just sitting there running SMBD/NAS, SSLH and PiHole. I just run every so often "pacman -Syu" on it and today I faced that problem.
ChuckHL
 
Posts: 2
Joined: Sun Aug 03, 2014 12:01 am

Re: many corrupted packages/invalid PGP signatures for aarch

Postby strasharo » Fri Aug 17, 2018 6:04 am

Thanks, just got hit by the same issue on a Beaglebone black, "pacman-key --init" and the "pacman-key --populate archlinuxarm" resolved it for me.
strasharo
 
Posts: 2
Joined: Thu Jan 29, 2015 9:26 pm

Re: many corrupted packages/invalid PGP signatures for aarch

Postby cheray » Mon Sep 10, 2018 5:57 pm

Thank you! I fixed the same Issue on my RasPi 3. :D
cheray
 
Posts: 2
Joined: Tue Feb 25, 2014 9:08 am


Return to ARMv8

Who is online

Users browsing this forum: No registered users and 2 guests